
Please read the HTML documentation generated by Sphynx for in-detail documentation

Structure

- TAPIR.py (main)

TAPIR uses model-view architecture with the following models and views

./models
    - ./openswathgui/models/TreeModels.py (contains the generic tree models)
    - ./openswathgui/models/PeptideTree.py (contains the specific implementation of the left side peptide tree)
    - ./openswathgui/models/ChromatogramTransition.py (contains the chromatogram transition abstraction which is stored in the peptide tree view)

    - ./openswathgui/models/SingleChromatogramFile.py (data model for a single chrom.mzML file)
    - ./openswathgui/models/SwathRun.py (data model for a single SWATH-MS run, may contain multiple chrom.mzML files)
    - ./openswathgui/models/SwathRunCollection.py (data model for a set of SWATH-MS runs)

    - ./openswathgui/models/MSData.py (contains the mass spectrometric data models and will generate the precursor tree)

./views
    - ./openswathgui/views/PeptideTree.py (contains the tree view implementation, derived from QtGui.QTreeView)
    - ./openswathgui/views/Plot.py (contains the plot view, derived from Qwt.QwtPlot for the Qwt implementation or from the GuiQwt library)


Deployment on windows work with pyinstaller:

  1. Install pymzml using "tapir_branch" https://github.com/hroest/pymzML/tree/tapir_branch
  2. Install pyinstaller: pip install pyinstaller
  3. Build executable:
    3.1 copy gui\building\TAPIR_win.spec .
    3.2 pyinstaller.exe TAPIR_win.spec

Note: there is a bug where closing the application will cause a segfault in QFontEngineX11FT::freeServerGlyphSet which seems to be a Qt4 bug.
